Get Card Notification Settings
curl --request GET \
--url https://access.utgl.io/v1/cards/notification-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/cards/notification-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/cards/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardAccountId": "9e5aa301-6fa5-4526-98ac-12c1343e63fc",
"cardId": "373fa422-0b8c-4f09-ac74-64a5a2c4241e",
"purchaseNotification": "sms",
"atmNotification": "whatsapp",
"onlinePurchaseVerification": "auto",
"fraudAlert": "whatsapp"
}Cards
Get Card Notification Settings
Retrieves the current notification settings for a card. The settings include the notification method for different types of transactions.
GET
/
cards
/
notification-settings
Get Card Notification Settings
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Card account ID of the card to get notification settings.
Card ID of the card to get notification settings.
Response
200 - application/json
Successful Response
Card account ID of the card for which notification settings were retrieved.
Card ID of the card for which notification settings were retrieved.
Notification method for purchase transactions.
Available options:
sms, whatsapp, auto, off Notification method for ATM withdrawals.
Available options:
sms, whatsapp, auto, off Notification method for online purchase verification codes.
Available options:
sms, whatsapp, auto, off Notification method for fraud alerts.
Available options:
sms, whatsapp, auto, off Was this page helpful?

